Bug 311499 - Only remembers one username even when working with mutiple KDE sessions
Summary: Only remembers one username even when working with mutiple KDE sessions
Status: RESOLVED FIXED
Alias: None
Product: lightdm
Classification: Unclassified
Component: general (show other bugs)
Version: 0.3.0
Platform: Debian unstable Linux
: NOR minor
Target Milestone: ---
Assignee: David Edmundson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-11 09:09 UTC by Martin Steigerwald
Modified: 2013-01-14 00:57 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Steigerwald 2012-12-11 09:09:48 UTC
I have two KDE sessions, one for private stuff (tty7), one for work (tty8). 

Reproducible: Always

Steps to Reproduce:
1. I login in as user martin for the private session (tty7) and then as user ms for the work one (tt8).
2. I logout both sessions or reboot.
Actual Results:  
 I am greeted with user "ms" preset even for tty7, instead of user "martin" who logged in at that tty last.

Expected Results:  
Lightdm-KDE remembers the user for each tty like KDM does. KDM would great me with "martin" on tty7 and "ms" on tty8 in that case
Comment 1 David Edmundson 2013-01-14 00:57:47 UTC
Git commit eb03525ee0295fdea03f083639b8b3e3e4d12557 by David Edmundson.
Committed on 10/01/2013 at 20:42.
Pushed by davidedmundson into branch 'master'.

Store last user details on a per display basis

REVIEW: 107950

M  +8    -4    greeter/greeterwrapper.cpp
M  +3    -1    greeter/greeterwrapper.h

http://commits.kde.org/lightdm/eb03525ee0295fdea03f083639b8b3e3e4d12557